function verify_login(openid) {
	if(!openid) {
		mui.openWindow({
			url: "login.html",
			id: "login.html"
		});
		window.close();
	}
}


function GetSettingTime(){
	var time = ""
	var ename = plus.storage.getItem("apiename");
	mui.ajax(ename + '/api/get_time', {
		data: {
			openid: openid,
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		async: false,
		timeout: 10000, //超时时间设置为10秒；
		success: function(res) {
			if(res.status == 1) {
				time = res.info;
			} else {
				is_error(res.info);
			}
		},
		error: function(xhr, type, errorThrown) {
			mui.alert('网络延时,请重新加载!', '系统提示');
		}
	});
	
	return time;
}

function GetCurrentTime(){
	var date = new Date();
	this.year = date.getFullYear();
	this.month = date.getMonth() + 1;
	this.date = date.getDate();
	this.hour = date.getHours() < 10 ? "0" + date.getHours() : date.getHours();
	this.minute = date.getMinutes() < 10 ? "0" + date.getMinutes() : date.getMinutes();
	this.second = date.getSeconds() < 10 ? "0" + date.getSeconds() : date.getSeconds();
	var currentTime = this.year + "年" + this.month + "月" + this.date + "日 " + this.hour + ":" + this.minute + ":" + this.second;
	return currentTime
}
function log_out(ename,openid) {
	mui.ajax(ename + '/api/log_out', {
		data: {
			openid: openid,
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		async: false,
		timeout: 10000, //超时时间设置为10秒；
		success: function(res) {
			plus.nativeUI.closeWaiting();
			if(res.status == 1) {

				plus.storage.setItem("openid", "");
				plus.runtime.quit();
			} else {
				is_error(res.info);
			}

		},
		error: function(xhr, type, errorThrown) {
			mui.alert('网络延时,请重新加载!', '系统提示');

		}
	})
}

function get_network() {
	var types = {};
	types[plus.networkinfo.CONNECTION_UNKNOW] = "未知";
	types[plus.networkinfo.CONNECTION_NONE] = "未连接网络";
	types[plus.networkinfo.CONNECTION_ETHERNET] = "有线网络";
	types[plus.networkinfo.CONNECTION_WIFI] = "WiFi网络";
	types[plus.networkinfo.CONNECTION_CELL2G] = "2G蜂窝网络";
	types[plus.networkinfo.CONNECTION_CELL3G] = "3G蜂窝网络";
	types[plus.networkinfo.CONNECTION_CELL4G] = "4G蜂窝网络";
	var get_network = types[plus.networkinfo.getCurrentType()];
	return get_network;
}

function get_setting_network() {
	var setting_network = "";
	var ename = plus.storage.getItem("apiename");
	mui.ajax(ename + '/api/get_setting_network', {
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		async: false,
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			if(data.status == 0) {
				mui.toast(data.info);
			} else {
				setting_network = data.info;
			}
		},
		error: function(xhr, type, errorThrown) {
			mui.toast('网络延时,请重新加载!');
		}
	});

	return setting_network;
}

function is_error(type) {
	if(type == "登录过期！请重新登录！" || type == "登录过期，您的账号已在别处登录！") {
		plus.nativeUI.closeWaiting();
		plus.storage.setItem("openid", "");
		plus.storage.setItem("token", "");
		mui.alert(type);
		mui.openWindow({
			url: "login.html",
			id: "login.html"
		});
	} else {
		plus.webview.currentWebview().opener().reload();
		mui.back();
		mui.toast(type);
	}
}

try {
	document.getElementById("go_back").addEventListener("tap", function(e) {
		e.stopPropagation();
		plus.webview.currentWebview().opener().reload();
		mui.back();
		window.close();
	});
} catch(err) {}

document.addEventListener("plusready", function() {
	// 注册返回按键事件
	plus.key.addEventListener('backbutton', function() {
		// 事件处理
		if(plus.webview.currentWebview().opener() && plus.webview.currentWebview().id != "user.html" && plus.webview.currentWebview().id != "index.html") {
			if(plus.webview.currentWebview().id == "login.html") {
				plus.webview.currentWebview().opener().reload();
			}

			window.close();
		}
	}, false);
});