<?php

namespace Otcms\Controller;
use Think\Controller;

class ShopController extends Controller{
    /*** 商品列表*/
    public function goods_list(){

        $goods = M('goods');
        $val = I('val');
        if ($val) {
            $map['goods_name'] = array('eq',$val);
        }

        //实例化分页类
        $page=new \Think\Page($goods->where($map)->count(),12);
        $page->setConfig('prev','上一页');
        $page->setConfig('next','下一页');
        $page->setConfig('first','首页');
        $page->setConfig('last','末页');
        $page->setConfig('theme','%FIRST% %UP_PAGE% %LINK_PAGE% %DOWN_PAGE% %END% %HEADER%');
        //获取数据
        $goods_list = $goods->where($map)->limit($page->firstRow,$page->listRows)->order('add_time desc')->select();
        foreach ($goods_list as $key => $vo){
            $goods_list[$key] = $vo;
            $goods_list[$key]['classify_name'] = M('goods_classify')->where(array('id'=>$vo['classify_id']))->getField('classify_title');
        }
        $this->assign('goods_list', $goods_list);
        $this->assign('page',$page->show());
        $this->display();
    }

    public function add_goods(){
        if(!IS_AJAX){
            $nav = new \Org\Util\Leftnav;
            $lists = M('goods_classify')->order('id asc')->select();
            $lists = $nav::rule($lists);
            $this->assign('list', $lists);
            $id = I('id');
            if($id){
                $goods = M("goods")->where(array('id'=>$id))->find();
                $classify = M('goods_classify')->where(array('id'=>$goods['classify_id']))->find();
                $tujilist = unserialize($goods['tujilist']);

                $this->assign('tujilist',$tujilist);
                $this->assign('goods',$goods);
                $this->assign('classify',$classify);
            }
            $this->display();
        }else{
            $data['classify_id']      = trim(I('post.classify_id', '', 'htmlspecialchars'));
            $data['goods_name']      = trim(I('post.goods_name', '', 'htmlspecialchars'));
            $data['goods_j_name']      = trim(I('post.goods_j_name', '', 'htmlspecialchars'));
            $data['goods_price']     = trim(I('post.goods_price', '', 'htmlspecialchars'));

            $data['goods_kc']     = trim(I('post.goods_kc', '', 'htmlspecialchars'));
            $data['goods_content']    = $_POST['goods_content'];
            $data['goods_remark']    = $_POST['goods_remark'];
            $data['photo']=trim(I('post.photo', '', 'htmlspecialchars'));
            $data['tujilist']  = serialize($_POST['tujilist']);
            $data['add_time'] = time();


            if (empty($data['goods_name'])) {
                $this->error('商品名称不能为空');
            }
            if (empty($data['goods_price'])) {
                $this->error('该商品的电子币价格不能为空');
            }
            if (empty($data['goods_kc'])) {
                $this->error('商品库存不能为空');
            }

            if (empty($data['goods_content'])) {
                $this->error('商品详情不能为空');
            }

            $id = I('id');
            if($id){
                $photo = M('goods')->where(array('id'=>$id))->getField('photo');
                if($photo && empty($data['photo'])){
                    unset($data['photo']);
                }
                $tuji = M('goods')->where(array('id'=>$id))->getField('tujilist');
                if($tuji && empty($data['tujilist'])){
                    unset($data['tujilist']);
                }
                M('goods')->where(array('id'=>$id))->save($data);
            }else{
                M('goods')->add($data);
                M('goods_classify')->where(array('id'=> $data['classify_id']))->setInc('classify_goods_num');
            }

            $this->success('操作成功', U('Shop/goods_list'), 1);
        }
    }

    public function goods_state(){
        $id=I('id');
        if (empty($id))
        {
            $this->error('非法操作',U('index'),1);
        }
        $status=M('goods')->where(array('id'=>$id))->getField('state');//判断当前状态情况
        if($status==1)
        {
            $statedata = array('state'=>0);
            $auth_group=M('goods')->where(array('id'=>$id))->setField($statedata);
            $this->success('状态禁止',1,1);
        }
        else
        {
            $statedata = array('state'=>1);
            $auth_group=M('goods')->where(array('id'=>$id))->setField($statedata);
            $this->success('状态开启',1,1);
        }
    }

    public function goods_del(){
        $id = I('id');
        $class = M('goods')->where(array('id'=>$id))->getField('classify_id');
        M('goods_classify')->where(array('id'=>$class))->setDec('classify_goods_num');
        M('goods')->where(array('id'=>$id))->delete();
        $this->redirect('Shop/goods_list');
    }


    public function goods_tuijian(){
        $id=I('id');
        if (empty($id))
        {
            $this->error('非法操作',U('index'),1);
        }
        $status=M('goods')->where(array('id'=>$id))->getField('tuijian');//判断当前状态情况
        if($status==1)
        {
            $statedata = array('tuijian'=>0);
            $auth_group=M('goods')->where(array('id'=>$id))->setField($statedata);
            $this->success('已取消推荐',1,1);
        }
        else
        {
            $statedata = array('tuijian'=>1);
            $auth_group=M('goods')->where(array('id'=>$id))->setField($statedata);
            $this->success('已开启推荐',1,1);
        }
    }



    /*** 商品分类*/
    public function classify(){
        $classify = M('goods_classify')->select();

        $this->assign('classify',$classify);
        $this->display();
    }

    public function add_classify(){
        if(!IS_AJAX){
            $id = I('id');
            if($id){
                $classify = M('goods_classify')->where(array('id'=>$id))->find();
                $this->assign('classify',$classify);
            }
            $this->display();
        }else{
            $id = I('id');
            $data['classify_title'] = I('classify_title');
            $data['photo'] = I('photo');
            $data['add_time'] = time();
            if(empty($data['classify_title'])){
                $this->error('分类名称不能为空');
            }
            if($id){
                $photo = M('goods_classify')->where(array('id'=>$id))->getField('photo');
                if($photo && empty($data['photo'])){
                    unset($data['photo']);
                }
                M('goods_classify')->where(array('id'=>$id))->save($data);
            }else{
                M('goods_classify')->add($data);
            }
            $this->success('操作成功', U('Shop/classify'), 1);
        }

    }

    public function classify_state(){
        $id=I('id');
        if (empty($id))
        {
            $this->error('非法操作',U('index'),1);
        }
        $status=M('goods_classify')->where(array('id'=>$id))->getField('state');//判断当前状态情况
        if($status==1)
        {
            $statedata = array('state'=>0);
            $auth_group=M('goods_classify')->where(array('id'=>$id))->setField($statedata);
            $this->success('状态禁止',1,1);
        }
        else
        {
            $statedata = array('state'=>1);
            $auth_group=M('goods_classify')->where(array('id'=>$id))->setField($statedata);
            $this->success('状态开启',1,1);
        }
    }

    public function del_classify(){
        $id = I('id');

        M('goods_classify')->where(array('id'=>$id))->delete();
        $this->redirect('Shop/classify');
    }
    /*** 商品分类结束*/
}
